/*
 * Utilisation des bibliothèques 
 * - MCAD pour les engrenages et bien d'autres choses : https://github.com/elmom/MCAD
 * - nutsnbolts pour les écrous et boulons : https://github.com/JohK/nutsnbolts
 * - Write.scad pour le texte : http://www.thingiverse.com/thing:16193.
 * -- Attention, il faut placer les fichiers Letters.dxf et Write.scad dans le répertoire de travail
 */

// Importer les bibliothèques
include <MCAD/motors.scad>
include <MCAD/gears.scad>
include <nutsnbolts/cyl_head_bolt.scad>
include <Write.scad>

// Moteur pas à pas Nema 17
stepper_motor_mount(17);

// Engrenages
translate([0,0,15]) gear(number_of_teeth=51,circular_pitch=200);
translate([0,0,15]) linear_extrude(height = 10, center = true, convexity = 10, twist = -45) 
	gear(number_of_teeth=17,diametral_pitch=1);

// Écrous et boulons
$fn=60;
translate([35,10,0]) screw("M5x10");
translate([35,-10,0]) nut("M4");

// Lettres
translate([0,0,35]) 
rotate(90,[1,0,0])
write("Lieu de Fabrication Ouvert", h=4, t=1, center=true);

